CMSIS-Core (Cortex-A): startup_ARMCA9.c File Reference

| CMSIS-Core (Cortex-A) Version 1.2.0 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
startup_ARMCA9.c File Reference

## Macros

#define | USR_MODE 0x10
#define | FIQ_MODE 0x11
#define | IRQ_MODE 0x12
#define | SVC_MODE 0x13
#define | ABT_MODE 0x17
#define | UND_MODE 0x1B
#define | SYS_MODE 0x1F

## Functions

void | Vectors (void)
| Exception and Interrupt Handler Jumptable. More...
void | Reset_Handler (void)
void | Default_Handler (void)

## Macro Definition Documentation

#define ABT_MODE 0x17

#define FIQ_MODE 0x11

#define IRQ_MODE 0x12

#define SVC_MODE 0x13

#define SYS_MODE 0x1F

#define UND_MODE 0x1B

#define USR_MODE 0x10

## Function Documentation

void Default_Handler | ( | void |  | ) |

void Reset_Handler | ( | void |  | ) |

void Vectors | ( | void |  | ) |